InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogWriterV3DSettings Struct Reference

V3D Log Settings. More...

`#include <LogSettings.h>`

Collaboration diagram for inertia::LogWriterV3DSettings:
[legend]

## Public Member Functions
| LogWriterV3DSettings ()
| LogWriterV3DSettings (std::wstring const &argString)
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
LogColumns | columns
| The data to include in the V3D file.
bool | usePrevious
| When data for a sensor is missing, repeat the previous value.
std::wstring | owner
| The source of the data, default is 'GLOBAL'.
std::wstring | emptyValue
| Use this value when there is no known sensor value.
bool | enablePointRate
| Add a point rate time signal.
double | pointRateStartTime
| The start time of the point rate time signal.
bool | enableAnalogRate
| Add an analog rate time signal.
double | analogRateStartTime
| The start time of the analog rate time signal.

## Detailed Description

V3D Log Settings.

Settings for creating a Visual3D ACII (V3D) file.

## Constructor & Destructor Documentation

## ◆ LogWriterV3DSettings() [1/2]

inertia::LogWriterV3DSettings::LogWriterV3DSettings | ( |  | ) |

Default constructor.

## ◆ LogWriterV3DSettings() [2/2]

inertia::LogWriterV3DSettings::LogWriterV3DSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogWriterV3DSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::LogWriterV3DSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogWriterV3DSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::LogWriterV3DSettings::ToString | ( |  | ) | const

Get a string representation of this LogWriterV3DSettings. The string is compatible with GetOptionDescription() and LogWriterV3DSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h